Length/Closed Properties example

Sub Length_Closed_Example()

' This example adds a lightweight polyline and

' querries it's .Length and .Closed properties.

    Dim myLWP As AcadLWPolyline

    'LWpolyline expects an array of 2D coordinates (only x and y)

    Dim myPoints(0 To 5) As Double

    myPoints(0) = 0: myPoints(1) = 0

    myPoints(2) = 3: myPoints(3) = 0

    myPoints(4) = 3: myPoints(5) = 4

    Set myLWP = ThisDrawing.ModelSpace.AddLightWeightPolyline(myPoints)

    myLWP.Closed = True

    myLWP.Update

    ThisDrawing.Application.ZoomExtents

    MsgBox "The length of the new polyline is: " & myLWP.Length

    MsgBox "The Closed property is: " & myLWP.Closed

    myLWP.Closed = False

    myLWP.Update

    MsgBox "The length of the polyline is: " & myLWP.Length

    MsgBox "The Closed property is: " & myLWP.Closed

End Sub

 


Bricscad™ is commercialized by Bricsys NV. Bricsys NV and Vondle NV are fully owned subsidiaries of Menhirs NV. © 2001- Menhirs NV - All rights reserved.